//
//  $Id: DataOutputStream.h,v 1.2 2000/06/04 23:23:50 sergey Exp $
//

#ifndef _DataOutputStream_h_
#define _DataOutputStream_h_

#include "OutputStream.h"


namespace Util
{
    //
    // Abstract base stream class, oriented to write concrete data types.
    //
    class DataOutputStream: public OutputStream
    {
    public:
        void write(const char* string)  { writeData(string, strlen(string)+1); }

        template <typename T>
        void write(T value)             { writeData(&value, sizeof(value)); }
    };
}
// namespace Util

#endif // _DataOutputStream_h_
